%define debug_package %{nil}

Summary:	Finnish invoicing software
Name:		t-lasku
Version:	1.22.3
Release:	2
License:	BSD
Group:		Office
Url:		http://helineva.net/%{name}/
Source0:	http://helineva.net/%{name}/%{name}-%{version}-i386.tar.gz
Source1:	http://helineva.net/%{name}/%{name}-%{version}-amd64.tar.gz
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	qt5-database-plugin-sqlite

%description
T-lasku is a Finnish invoicing software for Linux.

%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%ifarch x86_64
%setup -q -T -b1
%else
%setup -q -T -b0
%endif

%build
gcc %{optflags} %{ldflags} -o t-lasku t-lasku-relocatable \
	-lQt5Script \
	-lQt5Sql \
	-lQt5Xml \
	-lQt5Gui \
	-lQt5Core  \
	-lQt5Widgets \
	-lQt5PrintSupport \
	-lpthread \
	-lstdc++

gcc %{optflags} %{ldflags} -o t-lasku-cli t-lasku-cli-relocatable \
	-lQt5Script \
	-lQt5Sql \
	-lQt5Xml \
	-lQt5Gui \
	-lQt5Core  \
	-lQt5Widgets \
	-lQt5PrintSupport \
	-lpthread \
	-lstdc++

%install
%makeinstall_std


%changelog

* Wed Feb 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.22.3-2
- (424ad70) MassBuild#1250: Increase release tag


